aboutsummaryrefslogtreecommitdiff
path: root/release/arm
diff options
context:
space:
mode:
Diffstat (limited to 'release/arm')
-rw-r--r--release/arm/BEAGLEBONE.conf36
-rwxr-xr-xrelease/arm/release.sh23
2 files changed, 58 insertions, 1 deletions
diff --git a/release/arm/BEAGLEBONE.conf b/release/arm/BEAGLEBONE.conf
new file mode 100644
index 000000000000..388f7d5f3228
--- /dev/null
+++ b/release/arm/BEAGLEBONE.conf
@@ -0,0 +1,36 @@
+#
+# $FreeBSD$
+#
+
+# This is only supported on amd64 right now. It may work on
+# i386, but I do not have the hardware to test, so until I get
+# a VM set up to make sure, be cautious and assume it will not.
+if [ "$(uname -p)" != "amd64" ] || [ "$(uname -m)" != "amd64" ]; then
+ echo "This is only supported on amd64 right now."
+ exit 0
+fi
+
+# Build chroot configuration
+TARGET="amd64"
+TARGET_ARCH="amd64"
+SVNROOT="svn://svn.FreeBSD.org"
+SRCBRANCH="base/head@rHEAD"
+DOCBRANCH="doc/head@rHEAD"
+PORTBRANCH="ports/head@rHEAD"
+EMBEDDED_WORLD_FLAGS="WITH_GCC=1"
+NODOC=yes
+
+# Build target configuration
+# Since this file is sourced by a script that runs another
+# script, these must be exported.
+set -a
+CHROOTDIR="/scratch"
+EMBEDDEDBUILD=1
+EMBEDDEDPORTS="lang/python textproc/gsed"
+XDEV="arm"
+XDEV_ARCH="arm"
+KERNEL="BEAGLEBONE"
+CROCHETSRC="https://github.com/kientzle/crochet-freebsd"
+CROCHETBRANCH="trunk"
+set +a
+
diff --git a/release/arm/release.sh b/release/arm/release.sh
index 7498897295dc..037d288c2175 100755
--- a/release/arm/release.sh
+++ b/release/arm/release.sh
@@ -10,6 +10,26 @@
set -e
+before_build() {
+ case ${KERNEL} in
+ BEAGLEBONE)
+ KNOWNHASH="4150e5a4480707c55a8d5b4570262e43af68d8ed3bdc0a433d8e7df47989a69e"
+ chroot ${CHROOTDIR} fetch -o /tmp/crochet/u-boot-2013.04.tar.bz2 \
+ http://people.freebsd.org/~gjb/u-boot-2013.04.tar.bz2
+ UBOOT_HASH="$(sha256 -q ${CHROOTDIR}/tmp/crochet/u-boot-2013.04.tar.bz2)"
+ if [ "${UBOOT_HASH}" != "${KNOWNHASH}" ]; then
+ echo "Checksum mismatch! Exiting now."
+ exit 1
+ fi
+ chroot ${CHROOTDIR} tar xf /tmp/crochet/u-boot-2013.04.tar.bz2 \
+ -C /tmp/crochet/
+ ;;
+ *)
+ # Fallthrough.
+ ;;
+ esac
+}
+
install_crochet() {
chroot ${CHROOTDIR} svn co -q ${CROCHETSRC}/${CROCHETBRANCH} \
/tmp/crochet
@@ -46,9 +66,10 @@ main() {
BATCH=1 FORCE_PKG_REGISTER=1 install clean distclean
done
+ mkdir -p ${CHROOTDIR}/tmp/crochet/work
+ before_build
install_crochet
install_uboot
- mkdir -p ${CHROOTDIR}/tmp/crochet/work
eval chroot ${CHROOTDIR} /bin/sh /tmp/crochet/crochet.sh \
-c /tmp/external/${XDEV}/crochet-${KERNEL}.conf
}